commit:     2988bc86b303075b1b53e9f06c0bcce23eb0bb21
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Mon May  2 09:13:10 2022 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Mon May  2 10:18:11 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2988bc86

app-text/zotero-bin: add 6.0.6

Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 app-text/zotero-bin/Manifest                |  1 +
 app-text/zotero-bin/zotero-bin-6.0.6.ebuild | 72 +++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/app-text/zotero-bin/Manifest b/app-text/zotero-bin/Manifest
index 7e3718263d7e..1c9e8938a4e3 100644
--- a/app-text/zotero-bin/Manifest
+++ b/app-text/zotero-bin/Manifest
@@ -1 +1,2 @@
 DIST zotero-bin-6.0.5.tar.bz2 68482314 BLAKE2B 
77c17665b8584b828764a07012f3f91237dc73b334a9635fe50fae9da1ca20901a7bab22ef7008baf14c60209fc0ed9d1f6791c0a4bf3bd9414713a1071c9685
 SHA512 
568583c44436d9830e0b9271bfaedf7380556498c757de0bcea07ba97202aa853f92501c9aa755637ba4810d266a43c2ee17a1eedef564d22821e7f4ee337ff0
+DIST zotero-bin-6.0.6.tar.bz2 68462336 BLAKE2B 
5d42f0439d9bf6188a602d44aa75613e257a17efc76e089fdbdc5fe036a383e74fba39086bbc05f8275477b79bab4a840132f7e839fcd904d25f218c1959fee8
 SHA512 
b38990497ff1471e763f4bbc96c09aaa89fc0d10a0e55a584edd3bb35f9d446d359eac1d8637a9af4bb8585870bbb27393ffb12379dab1b04dab3469c68b4741

diff --git a/app-text/zotero-bin/zotero-bin-6.0.6.ebuild 
b/app-text/zotero-bin/zotero-bin-6.0.6.ebuild
new file mode 100644
index 000000000000..b9f2fd5004e0
--- /dev/null
+++ b/app-text/zotero-bin/zotero-bin-6.0.6.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop xdg
+
+DESCRIPTION="Helps you collect, organize, cite, and share your research 
sources"
+HOMEPAGE="https://www.zotero.org";
+SRC_URI="https://www.zotero.org/download/client/dl?channel=release&platform=linux-x86_64&version=${PV}
 -> ${P}.tar.bz2"
+S="${WORKDIR}/Zotero_linux-x86_64"
+
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+
+RDEPEND="
+       dev-libs/atk
+       dev-libs/dbus-glib
+       dev-libs/glib
+       dev-libs/nspr
+       dev-libs/nss
+       media-libs/fontconfig
+       media-libs/freetype
+       sys-apps/dbus
+       sys-libs/glibc
+       x11-libs/cairo
+       x11-libs/gdk-pixbuf
+       x11-libs/gtk+:2
+       x11-libs/gtk+:3
+       x11-libs/libX11
+       x11-libs/libxcb
+       x11-libs/libXcomposite
+       x11-libs/libXcursor
+       x11-libs/libXdamage
+       x11-libs/libXext
+       x11-libs/libXfixes
+       x11-libs/libXi
+       x11-libs/libXrender
+       x11-libs/libXt
+       x11-libs/pango
+"
+
+QA_PREBUILT="opt/zotero/*"
+
+src_prepare() {
+       # disable auto-update
+       sed -i -e 's/\(pref("app.update.enabled"\).*/\1, false);/' 
defaults/preferences/prefs.js || die
+
+       # disable default oo installation questions - manual installation is 
still possible
+       sed -i -e 
's/\(pref("extensions.zoteroOpenOfficeIntegration.skipInstallation"\).*/\1, 
true);/' \
+               
extensions/[email protected]/defaults/preferences/zoteroOpenOfficeIntegration.js
 || die
+
+       # fix desktop-file
+       sed -i -e 's#^Exec=.*#Exec=zotero#' zotero.desktop || die
+       sed -i -e 's#Icon=zotero.*#Icon=zotero#' zotero.desktop || die
+
+       default
+}
+
+src_install() {
+       dodir opt/zotero
+       cp -a "${S}"/* "${ED}/opt/zotero" || die
+
+       dosym ../../opt/zotero/zotero usr/bin/zotero
+
+       domenu zotero.desktop
+
+       for size in 16 32 48 256; do
+               newicon -s ${size} chrome/icons/default/default${size}.png 
zotero.png
+       done
+}

Reply via email to